Description

It would be nice if the plugin could create non-local repositories like reposman.rb.

I don’t know how difficult this may be but if is doable this plugin will shine in contrast to

reposman.rb. I say this because i find SCM Creator very delicate, robust and better polished addition to Redmine.

Regards, Stef

History

#1 - 21 Jun 2011 15:17 - Andriy Lesyuk

- Status changed from New to Incomplete

Thank you very much for your nice feedback, Stef! 

Unfortunately it’s not such easy as it may seem to be... 

Actually reposman.rb also creates local repositories (it just runs on the server where repositories get created and adds repositories to remote

Redmine). To do the opposite I will need to create a Web service for creating repos remotely...

SCM Creator is like a reposman.rb integrated into Redmine. To create repos on remote server the SCM creator will need to contact some service

(e.g. web service) and provide parameters for creating a repo, then get a result and register remote repo if success.

So the web service (or similar) should be used... And the questions is: will users be ready to install such service (saying authenticated with keys like

Redmine does for repo registration)? This can be a security issue, some Git hosts may not run web server etc... For example, you - how do you like

such solution?

Anyway it’s a good idea to think about... So not closing the issue...

#2 - 07 Nov 2011 10:17 - Andriy Lesyuk

Maybe it’s possible to use SSH client... Saying config can have:

  git:

    path: /var/lib/git

    git: /usr/bin/git

    ssh:

      host: subversion.andriylesyuk.com

      port: 22

      key: /usr/share/redmine/config/subversion_rsa.pub

      username: s-andy
      password: test

 

Then SCM Creator connects to the remove host and generally does the same...

#3 - 07 Nov 2011 10:21 - Andriy Lesyuk

http://net-ssh.github.com/ssh/v2/api/index.html

#4 - 06 Apr 2012 10:32 - Terence Miller

Hi Andriy, you solutin is very good i think because ist gerneral an will work for all protocols straight forward.

Another way would be to support scm own remote admin tools, like svnadmin which will work from 1.7 also from remote machines. Dunno if the other

scms also have such tooling embedded.

Anyway if scm managment is completly done by the redine server it would be fat easiert to setup and maintain. No redmine specific reposman & cron

setup on scmk server beyond the scm config itsel will be needed.

I am voting for this great ehancemen in any way

Tx for contributing!

#5 - 20 Jun 2012 16:26 - Terence Miller

any updates on this?

#6 - 19 Sep 2013 12:34 - Terence Miller

Is this supported with new version?

#7 - 19 Sep 2013 13:33 - Andriy Lesyuk

Terence Miller wrote:

Is this supported with new version?

 

Not yet, sorry.

#8 - 10 Mar 2014 10:38 - Milos Kozak

Hello, you are right with the webservice, but what about gitolite, gitosis or even gitlab? These three are the most often used ones for SSH based GIT

management, so I find it worthy to consider them as the remote “webservice” in order to create remote repository..

I see that it limits such functionality to git only, but 

If you had some time I would be happy to donate for this GIT feature!
